Bug 238349 - Review Request: xfce4-places-plugin - Places menu for the Xfce panel
Review Request: xfce4-places-plugin - Places menu for the Xfce panel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-29 14:04 EDT by Christoph Wickert
Modified: 2014-09-23 08:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 17:24:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2007-04-29 14:04:42 EDT
Spec URL: 
http://home.arcor.de/christoph.wickert/fedora/extras/review/SPECS/xfce4-places-plugin.spec
SRPM URL: http://home.arcor.de/christoph.wickert/fedora/extras/review/SRPMS/xfce4-places-plugin-0.2.0-1.fc7.src.rpm
Description: 
A menu with quick access to folders, documents, and removable media. The 
Places plugin brings much of the functionality of GNOME’s Places menu to 
Xfce. It puts a simple button on the panel. Clicking on this button opens up 
a menu with 4 sections:
1) System-defined directories (home folder, trash, desktop, file system)
2) Removable media (using thunar-vfs)
3) User-defined bookmarks (reads ~/.gtk-bookmarks)
4) Recent documents submenu (requires GTK v2.10 or greater)
Comment 1 Kevin Fenzi 2007-05-12 19:45:13 EDT
I'd be happy to review this package. Look for a full review in a few. 
Comment 2 Kevin Fenzi 2007-05-12 19:50:47 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License(GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
fc9828001674e7428ef4023e4a320c87  xfce4-places-plugin-0.2.0.tar.bz2
fc9828001674e7428ef4023e4a320c87  xfce4-places-plugin-0.2.0.tar.bz2.1
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Same minor non blocking comment about the Requires for xfce4-panel being 4.4.0.
If we know we are building against 4.4.1, shouldn't we require that?
Shouldn't matter much however.

I see no blockers, this package is APPROVED.      
Don't forget to close this review request once it's been imported and built.
Comment 3 Christoph Wickert 2007-05-13 07:11:26 EDT
(In reply to comment #2)
> 1. Same minor non blocking comment about the Requires for xfce4-panel being 4.4.0.
> If we know we are building against 4.4.1, shouldn't we require that?

same as in bug #238348 comment #3

New Package CVS Request
=======================
Package Name: xfce4-places-plugin
Short Description: Places menu for the Xfce panel
Owners: fedora@christoph-wickert.de
Branches: FC-6
InitialCC: kevin@tummy.com
Comment 4 Mukundan Ragavan 2014-09-22 21:03:12 EDT
Package Change Request
======================
Package Name:  xfce4-places-plugin
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc
Comment 5 Gwyn Ciesla 2014-09-23 08:06:51 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.